cURL
curl --request DELETE \
--url https://api.cradl.ai/{basePath}/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cradl.ai/{basePath}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cradl.ai/{basePath}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documents": [
{
"updatedTime": "<string>",
"metadata": {},
"retentionInDays": 913,
"updatedBy": "<string>",
"description": "<string>",
"createdBy": "<string>",
"name": "<string>",
"createdTime": "<string>",
"documentId": "<string>",
"contentMD5": "<string>",
"ocrFileUrl": "<string>",
"agentRunId": "<string>",
"content": "<string>",
"groundTruth": [
{
"label": "<string>",
"value": "<string>",
"pages": [
123
],
"rawValue": "<string>",
"confidence": 0.5
}
],
"consentId": "<string>",
"datasetId": "<string>",
"fileUrl": "<string>",
"annotationFileUrl": "<string>"
}
],
"nextToken": "<string>",
"consentId": [
"<string>"
],
"datasetId": [
"<string>"
],
"sortBy": "createdTime"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}API Reference
Delete Document
Delete Document
DELETE
/
documents
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
200 response
Show child attributes
Show child attributes
Maximum string length:
4096Pattern:
^las:consent:[a-f0-9]{32}$Pattern:
^(cradl|las):dataset:[a-f0-9]{32}$Available options:
createdTime Available options:
ascending, descending ⌘I